Summary:        Create simple man pages from --help output
Name:           help2man
Version:        1.48.5
Release:        3%{?dist}
License:        GPLv3+
URL:            https://www.gnu.org/software/help2man/
Source:         https://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.xz

BuildRequires:  make gcc
BuildRequires:  perl-generators perl(strict) perl(Getopt::Long)
BuildRequires:  perl(Text::ParseWords) perl(Text::Tabs) perl(POSIX)

BuildArch: noarch

%description
This package provides a tool for automatically generating simple man pages from the --help and
--version output of programs.

%prep
%autosetup

%build
%configure --disable-nls --libdir=%{_libdir}/help2man
%{make_build}

%install
make install_l10n DESTDIR=%{buildroot}
%{make_install}
%find_lang %name --with-man

%files -f %name.lang
%license COPYING
%doc README NEWS THANKS
%{_bindir}/help2man
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.48.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 1 2022 Wang Guodong <gordonwwang@tencent.com> - 1.48.5-1
- package init.
